import req from '../utils/request';
// import dictMap from './dictMap';
import { queryApiActionPath } from '../utils/queryConfig';
var localMockHostPath = 'http://rap2api.taobao.org/app/mock/230899';
var localhostPath = queryApiActionPath();
// 测试对接接口用地址不用时删除
async function request(data) {
	return req(`${data.url}`, {
		method: 'POST',
		body: data.params,
	});
}
const config = {
	// dictMap:dictMap,
	httpServer: localhostPath,
	httpMockServer: localMockHostPath,
	rapFlag: true,
	onlinePath: '/transacApi/',
	onlineImagePath: '',
	rapImagePath: localhostPath,
	uploadUrl: localhostPath + '/upload',
	websocketUrl: localhostPath.replace('http', 'ws') + '/websocket',
	payUrl: localhostPath + '/createWixinPayCode',
	checkPath: false,
	request,
};

export default config;
